<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Terrifics</Series>
  <Number>010</Number>
  <Web>https://www.comixology.com/The-Terrifics-2018-10/digital-comic/734726</Web>
  <Volume>2018</Volume>
  <Summary>Is there a totally titanic termination in store for the Terrifics? Mr. Terrific and company team with the Tom Strong family in a final battle against Doc Dread, who’s leveraging the power of a dark god to kill everyone in his path. With the fate of the Multiverse AND the Dark Multiverse hanging in the balance, it’ll take a team-up of Terrific proportions to save the day. Just don’t expect the group to escape unscathed when all is said and done…</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB734726], [RELDATE:2018-11-28]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
